local revision = tonumber(("$Revision: 67731 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
	NSD_REVISION = revision
	NSD_DATE = ("$Date: 2008-04-02 15:37:54 -0400 (Wed, 02 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Afflicted", "Afflicted")
if not Addon then return end

local PERIOD = 9.9
local prev
local LRT = Rock("LibRockTimer-1.0")

function Addon:Start()
	prev = Afflicted.db.profile.showAnchors
	Afflicted.db.profile.showAnchors = true
	Afflicted:Reload()

	SlashCmdList["AFFLICTED"]("test")
	LRT:AddRepeatingTimer("AfflictedShakedown", PERIOD, function() SlashCmdList.AFFLICTED("test") end)
end

function Addon:Stop()
	LRT:RemoveTimer("AfflictedShakedown")
	Afflicted.db.profile.showAnchors = prev
	Afflicted:Reload()
	SlashCmdList["AFFLICTED"]("clear")
end
