local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-27 02:03:53 -0500 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("PitBull", "PitBull")
if not Addon then return end

Addon.configMode = nil

function Addon:Start()

    if not self.configMode then
        local NShakedown = Rock:GetAddon("NShakedown")
        self.configMode = NShakedown.db.profile.PitBull
    end
    
    -- swap to raid configuration; will swap to party if in party
    PitBull:ChangeConfigMode(self.configMode)
    
    -- unlock frames
    if PitBull.db.profile.settings.locked then
        PitBull.db.profile.settings.locked = false
    end
end

function Addon:Stop()

    -- get out of configuration mode
    PitBull:ChangeConfigMode(nil)

    -- lock frames
    PitBull.db.profile.settings.locked = true
end