local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-27 02:03:53 -0500 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Antagonist", "Antagonist")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 5
local TIMER_ID = "AntShakedown"

function Addon:Start()
    
    -- show the anchors
    Antagonist:ToggleAnchors()
    
    -- start the bars now
    self:Display()
    
    -- schedule a new test display a ever 5 seconds or so
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)
end

function Addon:Stop()
    
    -- hide the anchors
    Antagonist:ToggleAnchors()

    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)
end                      

function Addon:Display()

    -- start the bars using the internal test of antagonist
    Antagonist:RunTest()

end