local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Recount", "Recount")
if not Addon then return end

local prevshow, prevlock
local function show(v)
	if v then
        Recount.MainWindow:Show()
	else
        Recount.MainWindow:Hide()
	end
end
function Addon:Start()
	-- show window
	prevshow = Recount.MainWindow:IsShown()
	show(true)

	-- unlock it
	prevlock = Recount.db.profile.Locked
	Recount:LockWindows(false)
end

function Addon:Stop()
	-- show state back to previous
	show(prevshow)

	-- lock state back to previous
	Recount:LockWindows(prevlock)
end
