local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("SmoothDurability", "SmoothDurability")
if not Addon then return end

local Durability
local prevlocked, prevthres
function Addon:Start()
	local durabilityCoveringFrame = getglobal("durabilityCoveringFrame")
	if durabilityCoveringFrame then
		durabilityCoveringFrame:Hide()
	end

	Durability = LibStub("AceAddon-3.0"):GetAddon("SmoothDurability")

	prevlocked = Durability.db.profile.locked
	Durability.db.profile.locked = false
	prevthres = Durability.db.profile.averageThreshold
	Durability.db.profile.averageThreshold = 100

	Durability:Update()
end

function Addon:Stop()
	Durability.db.profile.locked = prevlocked
	Durability.db.profile.averageThreshold = prevthres

	Durability:Update()
end
